# Class goog.labs.testing.StartsWithMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The StartsWith matcher.

## Constructor

goog.labs.testing.StartsWithMatcher ( value )

Parameters
value: `string` The expected string.

Show:Public Protected Private

## Instance Methods

code »describe ( actualValue ) ⇒ `string`

Parameters
actualValue

code »matches ( actualValue ) ⇒ `boolean`

Determines if input string starts with the expected string.

Parameters
actualValue

## Instance Properties

code »value_ : `string`